Bug 444533 - RFE: teach dump/restore about ext4
RFE: teach dump/restore about ext4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dump (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 444534
  Show dependency treegraph
 
Reported: 2008-04-28 18:13 EDT by Eric Sandeen
Modified: 2013-04-30 19:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.4-0.1.b42.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 15:46:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2008-04-28 18:13:15 EDT
dump/restore won't open an ext4 filesystem.  Need to investigate what all it'll
take to properly support ext4 in dump/restore.

[root@inode ~]# dump -f /mnt/foo/mydump /mnt/test
  DUMP: Date of this level  dump: Mon Apr 28 17:11:13 2008
  DUMP: Dumping /dev/sda8 (/mnt/test) to /mnt/foo/mydump
  DUMP: Unsupported feature(s) 0x40 in filesystem
/dev/sda8: Filesystem has unsupported feature(s) while opening filesystem
  DUMP: The ENTIRE dump is aborted.

I haven't yet looked at dump to see how much fs-knowledge it needs for the
traversal etc.

Thanks,
-Eric
Comment 1 Jeremy Fitzhardinge 2009-06-03 20:21:51 EDT
dump-0.4b41-9.fc10.i386 does not fail for me on ext4 filesystems.  It finishes successfully with all the usual messages and generates an apparently valid dump with correct metadata, but all the file contents are corrupted junk (presumably stuff from elsewhere in the filesystem).
Comment 2 Fedora Update System 2009-06-22 09:10:22 EDT
dump-0.4-0.1.b42.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dump-0.4-0.1.b42.fc11
Comment 3 Fedora Update System 2009-06-24 15:20:56 EDT
dump-0.4-0.1.b42.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dump'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6890
Comment 4 Fedora Update System 2009-07-03 15:46:08 EDT
dump-0.4-0.1.b42.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.